Debian Bug report logs - #571221
unoconv: UnoException during conversion: URP_Bridge : disposed

version graph

Package: unoconv; Maintainer for unoconv is Vincent Bernat <bernat@debian.org>; Source for unoconv is src:unoconv.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Wed, 24 Feb 2010 12:48:02 UTC

Severity: important

Found in version unoconv/0.3-6

Fixed in version unoconv/0.4-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#571221; Package unoconv. (Wed, 24 Feb 2010 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Vincent Bernat <bernat@debian.org>. (Wed, 24 Feb 2010 12:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unoconv: UnoException during conversion: URP_Bridge : disposed
Date: Wed, 24 Feb 2010 13:49:03 +0100
Package: unoconv
Version: 0.3-6
Severity: important


unoconv cannot convert an odp (OpenDocument Presentation) to docbook. Instead of failing is crashes with the following:

$ unoconv -f docbook input.odp
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f257effe610, pid=30770, tid=139800404289808
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (11.2-b01 mixed mode linux-amd64)
# Problematic frame:
# C  [libswlx.so+0x7d1610]
#
# An error report file with more information is saved as:
# /home/mathieu/Projects/sandbox/mathieu/input/hs_err_pid30770.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#

[error occurred during error reporting , id 0xb]

unoconv: UnoException during conversion: URP_Bridge : disposed
(tid=3) Unexpected connection closure
The provided document cannot be converted to the desired format.


Thanks

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages unoconv depends on:
ii  python       2.5.2-3                     An interactive high-level object-o
ii  python-uno   1:3.1.1-15+squeeze1~bpo50+1 full-featured office productivity 

Versions of packages unoconv recommends:
ii  openoffice.o 1:3.1.1-15+squeeze1~bpo50+1 full-featured office productivity 
ii  openoffice.o 1:3.1.1-15+squeeze1~bpo50+1 full-featured office productivity 

Versions of packages unoconv suggests:
ii  openoffice.o 1:3.1.1-15+squeeze1~bpo50+1 full-featured office productivity 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#571221; Package unoconv. (Thu, 25 Feb 2010 07:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Thu, 25 Feb 2010 07:12:07 GMT) Full text and rfc822 format available.

Message #10 received at 571221@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 571221@bugs.debian.org
Subject: Re: Bug#571221: unoconv: UnoException during conversion: URP_Bridge : disposed
Date: Thu, 25 Feb 2010 08:09:26 +0100
[Message part 1 (text/plain, inline)]
OoO Peu avant le début de l'après-midi du mercredi 24 février 2010, vers
13:49, Mathieu Malaterre <mathieu.malaterre@gmail.com> disait :

> unoconv   cannot  convert  an   odp  (OpenDocument   Presentation)  to
> docbook. Instead of failing is crashes with the following:

> $ unoconv -f docbook input.odp
> #
> # An unexpected error has been detected by Java Runtime Environment:
> #
> #  SIGSEGV (0xb) at pc=0x00007f257effe610, pid=30770, tid=139800404289808
> #
> # Java VM: Java HotSpot(TM) 64-Bit Server VM (11.2-b01 mixed mode linux-amd64)
> # Problematic frame:
> # C  [libswlx.so+0x7d1610]
> #
> # An error report file with more information is saved as:
> # /home/mathieu/Projects/sandbox/mathieu/input/hs_err_pid30770.log
> #
> # If you would like to submit a bug report, please visit:
> #   http://java.sun.com/webapps/bugreport/crash.jsp
> #

> [error occurred during error reporting , id 0xb]

> unoconv: UnoException during conversion: URP_Bridge : disposed
> (tid=3) Unexpected connection closure
> The provided document cannot be converted to the desired format.

unoconf  is written  in pure  Python. Therefore,  the bug  should  be in
OpenOffice.org (libswlx is part of OpenOffice). Please, provide the file
with more  information that is mentioned  in the crash.  Also, which JVM
are you using (java -version)?

Also, if  you try  to do the  conversion in OpenOffice.org  Writer, does
this work?
-- 
Use the good features of a language; avoid the bad ones.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#571221; Package unoconv. (Thu, 25 Feb 2010 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Thu, 25 Feb 2010 08:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 571221@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Vincent Bernat <bernat@debian.org>
Cc: 571221@bugs.debian.org
Subject: Re: Bug#571221: unoconv: UnoException during conversion: URP_Bridge : disposed
Date: Thu, 25 Feb 2010 09:22:40 +0100
[Message part 1 (text/plain, inline)]
Salut Vincent,

On Thu, Feb 25, 2010 at 8:09 AM, Vincent Bernat <bernat@debian.org> wrote:
> OoO Peu avant le début de l'après-midi du mercredi 24 février 2010, vers
> 13:49, Mathieu Malaterre <mathieu.malaterre@gmail.com> disait :
>
>> unoconv   cannot  convert  an   odp  (OpenDocument   Presentation)  to
>> docbook. Instead of failing is crashes with the following:
>
>> $ unoconv -f docbook input.odp
>> #
>> # An unexpected error has been detected by Java Runtime Environment:
>> #
>> #  SIGSEGV (0xb) at pc=0x00007f257effe610, pid=30770, tid=139800404289808
>> #
>> # Java VM: Java HotSpot(TM) 64-Bit Server VM (11.2-b01 mixed mode linux-amd64)
>> # Problematic frame:
>> # C  [libswlx.so+0x7d1610]
>> #
>> # An error report file with more information is saved as:
>> # /home/mathieu/Projects/sandbox/mathieu/input/hs_err_pid30770.log
>> #
>> # If you would like to submit a bug report, please visit:
>> #   http://java.sun.com/webapps/bugreport/crash.jsp
>> #
>
>> [error occurred during error reporting , id 0xb]
>
>> unoconv: UnoException during conversion: URP_Bridge : disposed
>> (tid=3) Unexpected connection closure
>> The provided document cannot be converted to the desired format.
>
> unoconf  is written  in pure  Python. Therefore,  the bug  should  be in
> OpenOffice.org (libswlx is part of OpenOffice). Please, provide the file
> with more  information that is mentioned  in the crash.  Also, which JVM
> are you using (java -version)?
>
> Also, if  you try  to do the  conversion in OpenOffice.org  Writer, does
> this work?

Here is a couple more info.

If you have an instance of oowriter running already, then unoconv -f
docbook my.odp properly returns:

$ unoconv -f docbook test.odp
unoconv: UnoException during conversion:
The provided document cannot be converted to the desired format.


However if you close the instance of oowriter, and then wait for
unoconv to create one for you, then you get the crash:

$ unoconv -f docbook test.odp


                                      /tmp
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007ffe8842e610, pid=23609, tid=140732498057488
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (11.2-b01 mixed mode linux-amd64)
# Problematic frame:
# C  [libswlx.so+0x7d1610]
#
# An error report file with more information is saved as:
# /tmp/hs_err_pid23609.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#

[error occurred during error reporting , id 0xb]

unoconv: UnoException during conversion: URP_Bridge : disposed
(tid=3) Unexpected connection closure
The provided document cannot be converted to the desired format.
Leaking python objects bridged to UNO for reason pyuno runtime is not
initialized, (the pyuno.bootstrap needs to be called before using any
uno classes)


I can attach an odp file to the bug tracker, but you can simply create
an empty presentation (just click new presentation -> empty, next,
create).

$ java -version
java version "1.6.0_0"
OpenJDK  Runtime Environment (build 1.6.0_0-b11)
OpenJDK 64-Bit Server VM (build 1.6.0_0-b11, mixed mode)


From the openoffice interface, one can only export (save as) a text
(odt) file to docbook. You do not even get the option from ooimpress.

HTH
-- 
Mathieu
[hs_err_pid23609.log (application/octet-stream, attachment)]

Message sent on to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#571221. (Sat, 05 Mar 2011 11:39:07 GMT) Full text and rfc822 format available.

Message #18 received at 571221-submitter@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: 571221-submitter@bugs.debian.org, 505126-submitter@bugs.debian.org, 518938-submitter@bugs.debian.org
Subject: Bug fixed with new version of unoconf/python-uno/libreoffice
Date: Sat, 05 Mar 2011 12:34:02 +0100
Hi!

With  the  recent remplacement  of  OpenOffice.org  by LibreOffice,  the
upgrade of  the UNO bridge and the  new unoconv I have  just uploaded, I
hope the bugs #571221, #505126 and #518938 are now resolved. I am almost
sure that this is case for #505126 but I prefer to ask as well.

Could you please check if those  bugs are resolved for you? You may need
to wait tomorrow to get unoconv 0.4 from your local mirror.

Thanks.
-- 
THE BOYS ROOM IS NOT A WATER PARK
THE BOYS ROOM IS NOT A WATER PARK
THE BOYS ROOM IS NOT A WATER PARK
-+- Bart Simpson on chalkboard in episode 3F03




Bug Marked as fixed in versions unoconv/0.4-1. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Tue, 21 Feb 2012 10:03:29 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 20 Jul 2013 10:33:05 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sat, 20 Jul 2013 10:33:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Aug 2013 07:29:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:27:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.